CYCLIC_REFRESH Struct Reference
Encoder Algorithm » Cyclic Refresh

The stucture of CYCLIC_REFRESH. More...

`#include <aq_cyclicrefresh.h>`

## Data Fields

int | percent_refresh
int | percent_refresh_adjustment
int | max_qdelta_perc
int | sb_index
int | last_sb_index
int | time_for_refresh
int | target_num_seg_blocks
int | actual_num_seg1_blocks
int | actual_num_seg2_blocks
int | rdmult
int8_t * | map
int64_t | thresh_rate_sb
int64_t | thresh_dist_sb
int16_t | motion_thresh
double | rate_ratio_qdelta
double | rate_ratio_qdelta_adjustment
int | rate_boost_fac

## Detailed Description

The stucture of CYCLIC_REFRESH.

## Field Documentation

## percent_refresh

int CYCLIC_REFRESH::percent_refresh

Percentage of blocks per frame that are targeted as candidates for cyclic refresh.

## percent_refresh_adjustment

int CYCLIC_REFRESH::percent_refresh_adjustment

Active adjustment delta for cyclic refresh for rate control.

Referenced by av1_rc_update_rate_correction_factors().

## max_qdelta_perc

int CYCLIC_REFRESH::max_qdelta_perc

Maximum q-delta as percentage of base q.

## sb_index

int CYCLIC_REFRESH::sb_index

Superblock starting index for cycling through the frame.

Referenced by av1_restore_layer_context(), and av1_save_layer_context().

## last_sb_index

int CYCLIC_REFRESH::last_sb_index

Superblock index cyclic refresh index last frame

## time_for_refresh

int CYCLIC_REFRESH::time_for_refresh

Controls how long block will need to wait to be refreshed again, in excess of the cycle time, i.e., in the case of all zero motion, block will be refreshed every (100/percent_refresh + time_for_refresh) frames.

## target_num_seg_blocks

int CYCLIC_REFRESH::target_num_seg_blocks

Target number of (4x4) blocks that are set for delta-q.

## actual_num_seg1_blocks

int CYCLIC_REFRESH::actual_num_seg1_blocks

Actual number of (4x4) blocks that were applied delta-q, for segment 1.

Referenced by av1_restore_layer_context(), av1_save_layer_context(), and encode_frame_internal().

## actual_num_seg2_blocks

int CYCLIC_REFRESH::actual_num_seg2_blocks

Actual number of (4x4) blocks that were applied delta-q, for segment 2.

Referenced by av1_restore_layer_context(), av1_save_layer_context(), and encode_frame_internal().

## rdmult

int CYCLIC_REFRESH::rdmult

RD mult. parameters for segment 1.

## map

int8_t* CYCLIC_REFRESH::map

Cyclic refresh map.

Referenced by av1_restore_layer_context(), and av1_save_layer_context().

## thresh_rate_sb

int64_t CYCLIC_REFRESH::thresh_rate_sb

Threshold applied to the projected rate of the coding block, when deciding whether block should be refreshed.

## thresh_dist_sb

int64_t CYCLIC_REFRESH::thresh_dist_sb

Threshold applied to the projected distortion of the coding block, when deciding whether block should be refreshed.

## motion_thresh

int16_t CYCLIC_REFRESH::motion_thresh

Threshold applied to the motion vector (in units of 1/8 pel) of the coding block, when deciding whether block should be refreshed.

## rate_ratio_qdelta

double CYCLIC_REFRESH::rate_ratio_qdelta

Rate target ratio to set q delta.

## rate_ratio_qdelta_adjustment

double CYCLIC_REFRESH::rate_ratio_qdelta_adjustment

Active adjustment of qdelta rate ratio for enhanced rate control

Referenced by av1_rc_update_rate_correction_factors().

## rate_boost_fac

int CYCLIC_REFRESH::rate_boost_fac

Boost factor for rate target ratio, for segment CR_SEGMENT_ID_BOOST2.

The documentation for this struct was generated from the following file:

- av1/encoder/aq_cyclicrefresh.h